# String_Base.h File Reference

`#include "ace/String_Base_Const.h"`
`#include "ace/Global_Macros.h"`
`#include "ace/String_Base.inl"`
`#include "ace/String_Base.cpp"`

Include dependency graph for String_Base.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_String_Base< CHAR >
| This class provides a wrapper facade for C strings. More...

## Functions

template<class CHAR>
ACE_String_Base< CHAR > | operator+ (const ACE_String_Base< CHAR > &, const ACE_String_Base< CHAR > &)
template<class CHAR>
ACE_String_Base< CHAR > | operator+ (const ACE_String_Base< CHAR > &, const CHAR *)
template<class CHAR>
ACE_String_Base< CHAR > | operator+ (const CHAR *, const ACE_String_Base< CHAR > &)
template<class CHAR>
ACE_String_Base< CHAR > | operator+ (const ACE_String_Base< CHAR > &t, const CHAR c)
template<class CHAR>
ACE_String_Base< CHAR > | operator+ (const CHAR c, const ACE_String_Base< CHAR > &t)

## Detailed Description

Id
  String_Base.h,v 4.26 2006/02/22 18:31:55 shuston Exp

Author:
  Douglas C. Schmidt (schmidt@cs.wustl.edu)

  Nanbor Wang <nanbor@cs.wustl.edu>

## Function Documentation

template<class CHAR>
ACE_String_Base< CHAR > operator+ | ( | const CHAR | c,
|  | const ACE_String_Base< CHAR > & | t
| ) |

template<class CHAR>
ACE_String_Base< CHAR > operator+ | ( | const ACE_String_Base< CHAR > & | t,
|  | const CHAR | c
| ) |

template<class CHAR>
ACE_String_Base< CHAR > operator+ | ( | const CHAR * | ,
|  | const ACE_String_Base< CHAR > & |
| ) |

template<class CHAR>
ACE_String_Base< CHAR > operator+ | ( | const ACE_String_Base< CHAR > & | ,
|  | const CHAR * |
| ) |

template<class CHAR>
ACE_String_Base< CHAR > operator+ | ( | const ACE_String_Base< CHAR > & | ,
|  | const ACE_String_Base< CHAR > & |
| ) |